import React, { Component } from 'react';
import ArcProcess from '../index.js';


export default class Demo3 extends Component {
    constructor(props) {
        super(props);
        this.state = {
            colors1: ['#CCFBFF', '#EF96C5'],
            colors2: ['#EEBD89', '#D13ABD'],
            data1: 80,
            data2: 80
        }
    }

    componentDidMount() {
        this.timer = setInterval(() => {
            this.setState({
                data1: Math.round(Math.random() * 100),
                data2: Math.round(Math.random() * 100)
            })
        },5000)
    }

    componentWillUnmount() {
        this.timer && clearInterval(this.timer);
    }

    render() {
        const { data1, data2, colors1, colors2 } = this.state;
        return (
          <div style={{display: 'flex'}}>
                <ArcProcess
                    data={data1}
                    useCorner={true}
                    colors={colors1}
                />
                <ArcProcess
                    data={data2}
                    useCorner={true}
                    colors={colors2}
                />
            </div>
        )
    }
}